/* TIMELINE */

body {
    margin-right: -8px !important;
}

.timeline {
    position: relative;
    font-family: 'Times New Roman', Times, serif;
    overflow: hidden;
}

.timeline:before {
    position: absolute;
    top: 6px;
    left: 14px;
    width: 4px;
    height: calc(100% + 48px);
    content: "";
    border-radius: 2px;
    background-color: rgb(from var(--border-color) r g b / 0.4);
}

.timeline-sub-age {
    display: inline-block;
    position: relative;
    font-size: 20px;
    margin-bottom: 20px;
    padding: 4px 15px 4px 35px;
    color: var(--title-color);
    border: 1px solid rgb(from var(--border-color) r g b / 0.5);
    border-radius: 25px;
    background-color: rgb(from var(--border-color) r g b / 0.5);
}

.timeline-sub-age:before {
    position: absolute;
    top: 50%;
    left: 5px;
    width: 20px;
    height: 20px;
    content: "";
    transform: translateY(-50%);
    border-radius: 100%;
    background-color: var(--text-color);
}

.timeline-section {
    display: block;
    position: relative;
    margin-bottom: 36px;
    padding-left: 36px;
}

.timeline-section .shenu-row {
    display: flex;
    flex-wrap: wrap;
    margin-left: -14px;
    padding-bottom: 24px;
}

.timeline-date {
    display: inline-block;
    position: relative;
    margin-bottom: 15px;
    padding: 2px 15px;
    color: var(--text-color);
    border-radius: 20px;
    background-color: rgb(from var(--flicker-lightest) r g b / 0.3);
}

/* .timeline-section:before { */
/*     position: absolute; */
/*     top: 11px; */
/*     left: 20px; */
/*     width: 18px; */
/*     height: 1px; */
/*     content: ""; */
/*     background-color: rgb(from var(--flicker-lightest) r g b / 0.6); */
/* } */

.timeline-section:after {
    position: absolute;
    top: 7px;
    left: 10px;
    width: 10px;
    height: 10px;
    content: "";
    border: 1px solid var(--border-color);
    border-radius: 100%;
    background-color: var(--text-color);
}

/*  SHENU */
a.personality-link {
    margin-left: 24px;
    color: var(--text-color);
    background-image: none;
}

.shenu {
    display: flex;
    position: relative;
    font-size: 18px;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
    width: 90px;
    height: 180px;
    padding: 8px;
    transition: all 0.5s ease;
    text-align: center;
    color: var(--text-color);
    border: 4px solid var(--gold);
    border-radius: 100px;
    background-color: var(--bg-container-medium);
    z-index: 1;
}

.shenu:before {
    position: absolute;
    bottom: -7px;
    left: 1%;
    width: 98%;
    height: 4px;
    content: "";
    transition: all 0.7s ease;
    border-radius: 4px;
    background: var(--gold);
    z-index: 1;
}

.shenu:after {
    position: absolute;
    bottom: -7px;
    left: calc(50% - 16px);
    width: 3px;
    height: 7px;
    content: "";
    transition: all 0.9s ease;
    border-radius: 4px;
    background: var(--white);
    z-index: 2;
    filter: drop-shadow(6px 0 0 var(--gold-container-border)) drop-shadow(6px 0 0 var(--white)) drop-shadow(6px 0 0 var(--gold)) drop-shadow(6px 0 0 var(--white)) drop-shadow(6px 0 0 var(--gold-container-border));
}

.shenu:hover::before {
    box-shadow: 0 0 22px 2px inset rgb(from var(--gold) r g b / .2),
    0 0 22px 2px rgb(from var(--gold) r g b / .2);
}

.shenu:hover, .shenu:hover::after {
    box-shadow: 0 0 8px 2px inset rgb(from var(--gold) r g b / .4),
    0 0 16px 2px rgb(from var(--gold) r g b / .6);
}

.shenu:hover .name {
    text-shadow: 0 0 18px rgb(from var(--gold) r g b / .9);
}

.shenu img {
    width: auto;
    height: 46%;
    opacity: 0.8;
    border: 1px solid var(--border-color);
    border-radius: 50%;
    background-color: var(--secondary);
    object-fit: cover;
    clip-path: circle(50% at center);
}

p.name {
    font-size: 18px;
    line-height: 16px;
    align-content: center;
    flex: 2;
    width: 90px;
    margin-top: -8px;
    transition: text-shadow 0.3s ease;
    color: var(--secondary-dark);

}

p.title {
    font-size: 14px;
    font-style: italic;
    line-height: 15px;
    flex: 1;
    width: 98px;
    margin: 0;
    padding-bottom: 4px;
    border-bottom-right-radius: 22px;
    border-bottom-left-radius: 22px;
    z-index: 0;
}

.small-text {
    font-size: 13px !important;
}

.medium-text {
    font-size: 16px !important;
}


/* MARQUEE */

.title-cycle {
    display: flex;
    position: relative;
    overflow: hidden;
    flex: 1;
    justify-content: center;
    width: 98px;
    margin: 0;
    padding: 0;
    border-bottom-right-radius: 22px;
    border-bottom-left-radius: 22px;
    justify-items: end;
}

.title-cycle .title-wrap {
    position: absolute;
    height: 64px;
    animation: vertical-marquee 12s ease infinite;
}

@keyframes vertical-marquee {
    0%, 15%, 35% {
        transform: translateY(-2%);
    }
    35%, 50%, 65% {
        transform: translateY(-56%);
    }
    65%, 80%, 100% {
        transform: translateY(-108%);
    }
}


@media (max-width: 375px) {
    .timeline {
        overflow: hidden;
    }
}
